콘텐츠로 이동
로그인 가입하기

Google Scholar Author API

Google Scholar 저자의 전체 프로필을 조회합니다. 여기에는 게시물 목록, 인용 지표, 동료 정보가 포함됩니다. engine=google_scholar_author를 설정하고 저자의 ID를 author_id에 전달하세요.

GET https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyes사용자의 SERP API 키
enginestringyesgoogle_scholar_author여야 함
author_idstringyesGoogle Scholar 저자 ID
devicestringnodesktop, mobile, 또는 tablet
view_opstringnoview_citation 또는 list_colleagues
sortstringnotitle 또는 pubdate
citation_idstringnoview_op=view_citation일 때 필수
hlstringno인터페이스 언어 코드
startintno페이지네이션을 위한 결과 오프셋
numintno페이지당 결과 수
Terminal window
curl "https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY&author_id=LSsXyncAAAAJ"
{
"search_parameters": {
"engine": "google_scholar_author",
"author_id": "LSsXyncAAAAJ"
},
"author": {
"name": "Jane Doe",
"affiliations": "Professor, Stanford University",
"email": "Verified email at stanford.edu",
"interests": [ { "title": "Machine Learning" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
},
"articles": [
{
"title": "Deep learning for computer vision",
"link": "https://scholar.google.com/citations?view_op=view_citation&...",
"citation_id": "u5HHmVD_uO8C",
"year": "2015",
"cited_by": { "value": 4500 }
}
],
"cited_by": {
"table": [ { "citations": { "all": 12000, "since_2019": 8000 } } ]
}
}